import { h, Host } from "@stencil/core";
export class BceElementSlider {
    render() {
        if (!this.template)
            return null;
        return (h(Host, null,
            h("p", null, this.template.question),
            h("div", { class: "top" },
                h("span", null,
                    h("label", null, this.template.minText),
                    h("label", null, this.template.min)),
                h("span", null,
                    h("label", null, this.template.maxText),
                    h("label", null, this.template.max))),
            h("bce-slider", { step: this.template.step, min: this.template.min, max: this.template.max })));
    }
    static get is() { return "bce-element-slider"; }
    static get originalStyleUrls() { return {
        "$": ["bce-element-slider.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["bce-element-slider.css"]
    }; }
    static get properties() { return {
        "template": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "Block.ElementSlider.Value",
                "resolved": "undefined | { readonly question: string; readonly required: boolean; readonly min: number; readonly max: number; readonly step: number; readonly minText: string; readonly maxText: string; }",
                "references": {
                    "Block": {
                        "location": "import",
                        "path": "../../models/block"
                    }
                }
            },
            "required": false,
            "optional": true,
            "docs": {
                "tags": [],
                "text": ""
            }
        }
    }; }
}
